Bug 117814 - Library dependency (with pkg-config)
Library dependency (with pkg-config)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-03-08 16:32 EST by Alexander Bussman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 14:35:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Bussman 2004-03-08 16:32:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
The file: /usr/lib/pkgconfig/qt-mt.pc is having a strange library in the list.
The Libs part should look like this:
Libs: -L/usr/lib/qt-3.2/lib -L/usr/X11R6/lib -L/usr/X11R6/lib -lmng -ljpeg -lpng -lz -lGL -lXmu -lXrender -lXrandr -lXcursor -lXinerama -lXft -lfreetype -lfontconfig -lXext -lX11 -lm -lSM -lICE -ldl -lpthread  

but it did look like this:
Libs: -L/usr/lib/qt-3.2/lib -l/qt-mt.pc -L/usr/X11R6/lib -L/usr/X11R6/lib -lmng -ljpeg -lpng -lz -lGL -lXmu -lXrender -lXrandr -lXcursor -lXinerama -lXft -lfreetype -lfontconfig -lXext -lX11 -lm -lSM -lICE -ldl -lpthread  

as you can see, the -l/qt-mt.pc really shouldn't be there.

Version-Release number of selected component (if applicable):
3.2.3-0.2

How reproducible:
Always

Steps to Reproduce:
1.Install qt-devel-3.2.3-0.2
2.Run pkg-config qt-mt --libs
3.Look
    

Actual Results:  You will see -l/qt-mt.pc as a library.

Expected Results:  -l/qt-mt.pc should not be there

Additional info:
Comment 1 Ngo Than 2004-03-11 14:35:07 EST
it's already fixed in 3.3.1 that is available in rawhide

Note You need to log in before you can comment on or make changes to this bug.